Product Reviews
curl --request GET \
--url https://api.sociavault.com/v1/scrape/tiktok-shop/product-reviews \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.sociavault.com/v1/scrape/tiktok-shop/product-reviews"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.sociavault.com/v1/scrape/tiktok-shop/product-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true,
"has_more": true,
"total_reviews": "125",
"product_reviews": {
"0": {
"review_id": "7604501259405199118",
"product_id": "1731578642912612516",
"sku_id": "1731578664610402468",
"reviewer_id": "6671422695488847878",
"review_rating": 1,
"review_time": "1770560950661",
"is_verified_purchase": true,
"is_incentivized_review": false,
"product_name": "Potaroma Cat Nail Clipper with 4-Size Adjustable Trimming Hole & Hidden Nail File | Safe Toenail Trimmer for Kittens & Indoor Cats | Anti-Splash Claw Cutter for Pet Grooming (Blue)",
"reviewer_name": "L**i 📚**️",
"reviewer_avatar_url": "https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/9afb897d2643b2f5be8294efcf53e6bc~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=9b7cb0a2&x-expires=1771056000&x-signature=9Tk5uj8LspQx0fNCC8qfMn7421c%3D&t=4d5b0474&ps=13740610&shp=a5d48078&shcp=5f8d3399&idc=useast5",
"review_text": "Very unhappy with this it was you cannot get their little claws in there. It’s a teeny hole. It’s very cheap feeling",
"display_image_url": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/4efe29181984479099d096e8397a0ef7~tplv-fhlh96nyum-crop-webp:300:300.webp?dr=12190&t=555f072d&ps=933b5bde&shp=8dbd94bf&shcp=607f11de&idc=useast5&from=2378011839",
"review_images": {
"0": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/4efe29181984479099d096e8397a0ef7~tplv-fhlh96nyum-crop-webp:300:300.webp?dr=12190&t=555f072d&ps=933b5bde&shp=8dbd94bf&shcp=607f11de&idc=useast5&from=2378011839"
},
"sku_specification": "Default",
"review_country": "US"
},
"1": {
"review_id": "7596893396606682894",
"product_id": "1731578642912612516",
"sku_id": "1731578664610402468",
"review_rating": 5,
"review_time": "1768789593613",
"is_verified_purchase": true,
"is_incentivized_review": false,
"product_name": "Potaroma Cat Nail Clipper with 4-Size Adjustable Trimming Hole & Hidden Nail File | Safe Toenail Trimmer for Kittens & Indoor Cats | Anti-Splash Claw Cutter for Pet Grooming (Blue)",
"reviewer_name": "A**z",
"review_text": "Works well, i like the file on the bottom to even out my kitty’s claws.",
"display_image_url": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/18639bac735c44dd9e2e6ec5d586fd65~tplv-fhlh96nyum-crop-webp:300:300.webp?dr=12190&t=555f072d&ps=933b5bde&shp=8dbd94bf&shcp=607f11de&idc=useast5&from=2378011839",
"review_images": {
"0": "https://p16-oec-general-useast5.ttcdn-us.com/tos-useast5-i-omjb5zjo8w-tx/18639bac735c44dd9e2e6ec5d586fd65~tplv-fhlh96nyum-crop-webp:300:300.webp?dr=12190&t=555f072d&ps=933b5bde&shp=8dbd94bf&shcp=607f11de&idc=useast5&from=2378011839"
},
"sku_specification": "Default",
"review_country": "US"
}
},
"review_ratings": {
"review_count": "125",
"overall_score": 4.4,
"rating_result": {
"1": "10",
"2": "2",
"3": "6",
"4": "14",
"5": "93"
}
}
},
"credits_used": 1,
"endpoint": "tiktok-shop/product_reviews"
}{
"error": "Either product URL or product_id is required",
"endpoint": "<string>",
"credits_required": 123
}{
"error": "Invalid API key",
"docs": "https://docs.sociavault.com/authentication"
}{
"error": "Insufficient credits",
"required": 1,
"available": 0
}{
"error": "Service configuration error"
}TikTok Shop
Product Reviews
Get a product’s reviews (100 reviews per page).
Credit Cost: 1 credit per request
GET
/
v1
/
scrape
/
tiktok-shop
/
product-reviews
Product Reviews
💳 1 credit per request
Authorizations
Query Parameters
The URL of the product (required if product_id is not provided)
Example:
"https://www.tiktok.com/shop/pdp/cat-nail-clipper-by-potaroma-adjustable-sizes-built-in-file-safe-for-kittens-cats/1731578642912612516"
The ID of the product (required if url is not provided)
Example:
"1731578642912612516"
The page number of the reviews
Example:
1
Response
Successful response
Key Response Fields:
has_more— Whether additional review pages are availabletotal_reviews— Total number of reviews for the productproduct_reviews[]— Array of individual reviews:review_id— Unique review identifierproduct_id— Associated product identifiersku_id— SKU variant that was reviewedreviewer_id— Reviewer's user identifierreview_rating— Star rating (1-5)review_time— Review timestamp (milliseconds)is_verified_purchase— Whether the reviewer purchased on TikTok Shopis_incentivized_review— Whether the review was incentivizedproduct_name— Full product name at time of reviewreviewer_name— Display name of the reviewerreviewer_avatar_url— Reviewer's profile image URLreview_text— Full review text contentdisplay_image_url— Primary review image thumbnailreview_images[]— Array of all review image URLssku_specification— SKU variant name reviewed (e.g., "Default")review_country— Country code of the reviewer
review_ratings— Aggregated rating summary:review_count— Total review countoverall_score— Average star ratingrating_result— Breakdown by star level (1-5) with counts